Facturas
Reenviar una factura por correo
Reenvía al email del cliente la factura autorizada, con su RIDE en PDF y su XML. El envío ocurre en segundo plano.
POST
/
api
/
v1
/
accounts
/
{account_id}
/
invoices
/
{id}
/
resend_email
Reenviar una factura por correo
curl --request POST \
--url https://dashboard.tellen.app/api/v1/accounts/{account_id}/invoices/{id}/resend_email \
--header 'Authorization: Bearer <token>'import requests
url = "https://dashboard.tellen.app/api/v1/accounts/{account_id}/invoices/{id}/resend_email"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dashboard.tellen.app/api/v1/accounts/{account_id}/invoices/{id}/resend_email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dashboard.tellen.app/api/v1/accounts/{account_id}/invoices/{id}/resend_email",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://dashboard.tellen.app/api/v1/accounts/{account_id}/invoices/{id}/resend_email"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://dashboard.tellen.app/api/v1/accounts/{account_id}/invoices/{id}/resend_email")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://dashboard.tellen.app/api/v1/accounts/{account_id}/invoices/{id}/resend_email")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"email": "jsmith@example.com"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"errors": [
"<string>"
],
"field_errors": {}
}Authorizations
Token de API enviado como Authorization: Bearer tellen_tk_.... Genera
tu token desde tu cuenta de Tellen. Tu cuenta debe tener el acceso a la
API habilitado.
Path Parameters
Identificador de la cuenta.
Identificador de la factura.
Response
El correo quedó en cola.
El email del cliente al que se envía el documento.
Reenviar una factura por correo
curl --request POST \
--url https://dashboard.tellen.app/api/v1/accounts/{account_id}/invoices/{id}/resend_email \
--header 'Authorization: Bearer <token>'import requests
url = "https://dashboard.tellen.app/api/v1/accounts/{account_id}/invoices/{id}/resend_email"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dashboard.tellen.app/api/v1/accounts/{account_id}/invoices/{id}/resend_email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dashboard.tellen.app/api/v1/accounts/{account_id}/invoices/{id}/resend_email",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://dashboard.tellen.app/api/v1/accounts/{account_id}/invoices/{id}/resend_email"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://dashboard.tellen.app/api/v1/accounts/{account_id}/invoices/{id}/resend_email")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://dashboard.tellen.app/api/v1/accounts/{account_id}/invoices/{id}/resend_email")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"email": "jsmith@example.com"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"errors": [
"<string>"
],
"field_errors": {}
}